<div class="page">
  <app-sidebar class="nav flex-column" [user]="user" (isNav)="toggleNav($event)"></app-sidebar>
  <div class="{{isNav}}">
    <div class="container">
      <div class="mt-5 mb-5">
        <h3 class="text-center text-white">Mis Horarios</h3>
      </div>
      <div class="row">
        <div class="col-lg-1"></div>
        <div class="col-lg-4">
          <mat-card>
            <mat-form-field class="example-full-width">
              <input matInput [min]="minDate" [max]="maxDate" [(ngModel)]="selectedDate"
                (dateInput)="selectDate(input, $event)" [matDatepicker]="picker" placeholder="Elige una fecha">
              <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
              <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>
          </mat-card>
        </div>
        <div class="col-lg-2"></div>
        <div class="col-lg-4">
          <div *ngIf="isScheduled">
            <mat-card>
              <mat-form-field>
                <mat-label>Selecciona tu horario</mat-label>
                <mat-select [(ngModel)]="selectedHorario" (selectionChange)="readyToGo($event)" >
                  <mat-option *ngFor="let h of horarios" [value]="h">
                    {{h}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
              <mat-card-actions align="end">
                <button mat-raised-button color="primary" [disabled]="isComplete" (click)="agendar()">
                  Agendar
                </button>
              </mat-card-actions>
            </mat-card>
          </div>
        </div>
        <div class="col-lg-1"></div>
      </div>
      <div class="row">
        <div class="col-lg-1"></div>
        <div class="col-lg-10">
          <mat-card class="mt-5" *ngIf="scheduleds.length > 0">
            <div *ngFor="let s of scheduleds">
              <p>{{s.date}} - {{s.time}}</p>
              <mat-divider></mat-divider>
            </div>
          </mat-card>
        </div>
        <div class="col-lg-1"></div>
      </div>
    </div>
  </div>
</div>
